﻿package dao

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
)

type SuperCloudIssuanceAddGroupWelcomeMessageDao interface {
	GetSuperCloudIssuanceAddGroupWelcomeMessage(activateGroupId int) (m *models.SuperCloudIssuanceAddGroupWelcomeMessage, err error)
	FindSuperCloudIssuanceAddGroupWelcomeMessage(uid, page, pageSize int) (m []*FindSuperCloudIssuanceAddGroupWelcomeMessageResponse, total int64, err error)
	InsertSuperCloudIssuanceAddGroupWelcomeMessage(m *models.SuperCloudIssuanceAddGroupWelcomeMessage) (id int, err error)
	SaveSuperCloudIssuanceAddGroupWelcomeMessage(id interface{}, m *models.SuperCloudIssuanceAddGroupWelcomeMessage, forceColums ...string) (affected int64, err error)
}

type FindSuperCloudIssuanceAddGroupWelcomeMessageResponse struct {
	ActivateGroupId int    `json:"activate_group_id" xorm:"not null default 0 comment('绑定激活群id') INT(11)"`
	Content         string `json:"content" xorm:"not null default '' comment('内容') VARCHAR(255)"`
	State           int    `json:"state" xorm:"not null default 1 comment('状态(1正常 2暂停)') TINYINT(1)"`
	CreateAt        string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt        string `json:"update_at" xorm:"default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
	Uid             int    `json:"uid"`
	Name            string `json:"name"`
	RobotId         int    `json:"robot_id"`
	ChatRoomId      string `json:"chat_room_id"`
	ChatRoomOwner   string `json:"chat_room_owner"`
	MemberCount     int    `json:"member_count"`
	BigHeadImgUrl   string `json:"big_head_img_url"`
	SmallHeadImgUrl string `json:"small_head_img_url"`
}
