package dao

import (
	"code.fnuoos.com/go_rely_warehouse/zyos_model.git/src/models"
	"time"
)

type SuperCloudIssuanceUserRobotBindFollowDao interface {
	GetCloudIssuanceUserRobotBindFollow(id int) (m *models.SuperCloudIssuanceUserRobotBindFollow, err error)
	GetCloudIssuanceUserRobotBindFollowById(id int) (m *models.SuperCloudIssuanceUserRobotBindFollow, err error)
	GetCloudIssuanceUserRobotBindFollowByChatRoomId(chatRoomId string, robotId int) (m *models.SuperCloudIssuanceUserRobotBindFollow, err error)
	InsertCloudIssuanceUserRobotBindFollow(m *models.SuperCloudIssuanceUserRobotBindFollow) (id int, err error)
	SaveCloudIssuanceUserRobotBindFollow(id interface{}, m *models.SuperCloudIssuanceUserRobotBindFollow, forceColums ...string) (affected int64, err error)
	DeleteCloudIssuanceUserRobotBindFollow(id interface{}) (affected int64, err error)
	CountCloudIssuanceUserRobotBindFollow(uid int) (total int64, err error)
	FindCloudIssuanceUserRobotBindFollow(uid int) (list []*CloudIssuanceUserRobotBindFollowList, err error)
}

type CloudIssuanceUserRobotBindFollowList struct {
	Id              int                                                  `json:"id" xorm:"pk autoincr INT(11)"`
	ActivateGroupId int                                                  `json:"activate_group_id"`
	Uid             int                                                  `json:"uid" xorm:"not null default 0 comment('用户id') INT(11)"`
	Name            string                                               `json:"name" xorm:"comment('群名称')"`
	RobotId         int                                                  `json:"robot_id" xorm:"comment('机器人id')"`
	ChatRoomId      string                                               `json:"chat_room_id" xorm:"comment('发送微信好友/群id')"`
	ChatRoomOwner   string                                               `json:"chat_room_owner" xorm:"comment('群所有者')"`
	MemberCount     int                                                  `json:"member_count" xorm:"comment('群成员数')"`
	BigHeadImgUrl   string                                               `json:"big_head_img_url" xorm:"comment('大的群头像')"`
	SmallHeadImgUrl string                                               `json:"small_head_img_url" xorm:"comment('小的群头像')"`
	State           int                                                  `json:"state" xorm:"not null default 1 comment('状态(1正常 2暂停)') TINYINT(1)"`
	CreateAt        time.Time                                            `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt        time.Time                                            `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
	FollowUserList  []*models.SuperCloudIssuanceUserRobotBindFollowUser  `json:"follow_user_list"`
	FollowGroupList []*models.SuperCloudIssuanceUserRobotBindFollowGroup `json:"follow_group_list"`
}
