package models

type HoneyDividendBasic struct {
	Id                                          int    `json:"id" xorm:"not null pk autoincr INT(11)"`
	IsOpen                                      int    `json:"is_open" xorm:"not null default 1 comment('是否开启(1:开启 2:关闭)') TINYINT(1)"`
	NowHoneyValues                              string `json:"now_honey_values" xorm:"not null default 0.0000 comment('现有蜂蜜数量') DECIMAL(10,4)"`
	DestroyHoneyValues                          string `json:"destroy_honey_values" xorm:"not null default 0.0000 comment('销毁蜂蜜数量') DECIMAL(10,4)"`
	DividendVipLevel                            int    `json:"dividend_vip_level" xorm:"not null default 0 comment('分红会员等级(大于等于)') INT(11)"`
	EveryMonthExchangeOneCashDestroyHoneyValues string `json:"every_month_exchange_one_cash_destroy_honey_values" xorm:"not null default 0.0000 comment('每月兑换一次现金销毁x蜂蜜') DECIMAL(10,4)"`
	CoinId                                      int    `json:"coin_id" xorm:"not null default 0 comment('虚拟币id(作用于蜂蜜)') INT(11)"`
	CoinIdForContribution                       int    `json:"coin_id_for_contribution" xorm:"not null default 0 comment('虚拟币id(作用于贡献值)') INT(11)"`
	ContributionExchangeLowerLimit              int    `json:"contribution_exchange_lower_limit" xorm:"not null default 0 comment('贡献值最低兑换数量') INT(11)"`
	CreateAt                                    string `json:"create_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('创建时间') DATETIME"`
	UpdateAt                                    string `json:"update_at" xorm:"not null default 'CURRENT_TIMESTAMP' comment('更新时间') DATETIME"`
}
